import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.util.List;
/**
 * This is a white blood cell. This kind of cell has the job to catch bacteria and
 * remove them from the blood.
 * 
 * @author Michael Kölling
 * @version 1.0
 */
public class Cat extends Actor
{
    private int counter = 0;
    private int turnCounter = 0;
    
    /**
     * Act: move up and down when cursor keys are pressed.
     */
    public void act() 
    {
        checkKeyPress();
        checkCollision();
        checkMouseClick();
    }
    private void checkMouseClick()
    {
        if (Greenfoot.mouseClicked(null)) 
        {
            World world = getWorld();
            List<Benton> bentons = world.getObjects(Benton.class);

            for (Benton benton : bentons)
            {
                benton.changeImage();
            }
        }
    }
     
    /**
     * Check whether a keyboard key has been pressed and react if it has.
     */
    private void checkKeyPress()
    {
        if (Greenfoot.isKeyDown("up")) 
        {
            setLocation(getX(), getY()-8);
        }
        
        if (Greenfoot.isKeyDown("down")) 
        {
            setLocation(getX(), getY()+8);
        }
        
        if (Greenfoot.isKeyDown("right")) 
        {
            setLocation(getX()+4, getY());
        }
        
        if (Greenfoot.isKeyDown("left")) 
        {
            setLocation(getX()-4, getY());
        }
    }
    
    /**
     * Check whether we are touching a bacterium or virus. Remove bacteria.
     * Game over if we hit a virus.
     */
    private void checkCollision()
    {
        if (isTouching(Cactus.class)) 
        {
            Greenfoot.playSound("slurp.wav");
            removeTouching(Cactus.class);
            Skyscraper skyscraper = (Skyscraper) getWorld();
            skyscraper.addScore(-20);
        }

        if (isTouching(Bag.class)) 
        {
            removeTouching(Bag.class);
            Skyscraper skyscraper = (Skyscraper) getWorld();
            skyscraper.addScore(-100);
        }
    }
}
